import {
  request
} from "../utils/request";

module.exports = {
  // 用户登录
  userLogin: data => request('/user/openId', 'get', data),
  //获取用户信息
  getMyInfo: data => request('/v3/user/my', 'get', data),
  //获取他人用户信息,
  getUserInfo: data => request('/user/info', 'get', data),
  //获取用户信息
  getMyInfo: data => request('/v3/user/my', 'get', data),
  // 设置用户信息
  setUserInfo: (data, method = 'post') => request('/user', method, data),
  //获取是否vip及过期时间
  getVipInfo: data => request('/auth', 'get', data),
  //获取自己朗读的作品
  getSelfRead: data => request('/userRead/my', 'get', data),
  //获取其他用户朗读的作品
  getUserRead: data => request('/userRead', 'get', data),
  // 获取用户关注列表
  getFansList: data => request('/fans', 'get', data),
  // 加关注请求类型为post,取消关注为put
  setFans: (data, method = 'post') => request('/fans', method, data),
  // 获取收藏列表
  getFavoritesList: data => request('/favorites', 'get', data),
}